Docs
Get Variants
GET /resourceTypes/{resourceTypeId}/variants
GET
/resourceTypes/{resourceTypeId}/variantsLists a resource type's live variants, including the hidden base variant, with their pinned attribute values, linked rate cards and component repoints. Requires ResourceTypeDatabase.Read.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| resourceTypeId | uuid | Required |
Response
Type: GetVariantsResponse[]
GetVariantsResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| resourceTypeId | uuid | |
| name | string| null | |
| isBase | boolean | |
| rateCardId | uuid| null | |
| associatedRateCards | GetVariantsResponseAssociatedRateCard[]| null | |
| values | GetVariantsResponseVariantValue[]| null | |
| componentTargets | ComponentTargetResponse[]| null |
GetVariantsResponseAssociatedRateCard
| Field | Type | Description |
|---|---|---|
| rateCardId | uuid | |
| name | string| null | |
| isDefault | boolean |
GetVariantsResponseVariantValue
| Field | Type | Description |
|---|---|---|
| resourceAttributeId | uuid | |
| value | string| null |
ComponentTargetResponse
| Field | Type | Description |
|---|---|---|
| resourceComponentId | uuid | |
| targetResourceTypeId | uuid | |
| targetResourceTypeName | string| null | |
| targetResourceVariantIds | uuid[]| null | |
| targetResourceVariantNames | string[]| null | |
| quantity | integer| null | |
| isExcluded | boolean |